Search found 61 matches

Go to advanced search

by Chri1
Fri Apr 12, 2019 1:04 pm
Forum: Forum in Deutsch
Topic: Benutzerabfrage Punkt
Replies: 9
Views: 504

Re: Benutzerabfrage Punkt

Ok, das mit dem Observer funktioniert, liefert aber nicht die Koordinaten im Raum sondern die 2D-Bildschirmkoordinaten. Nun brauche ich aber die Weltkoordinaten -> Habe das Ganze noch ergänzt mit posw = self.view.getPoint(pos) Wenn es eine Draufsicht ist, stimmen wenigstens die x und y Koordinaten u...
by Chri1
Thu Apr 11, 2019 3:06 pm
Forum: Forum in Deutsch
Topic: Benutzerabfrage Punkt
Replies: 9
Views: 504

Re: Benutzerabfrage Punkt

QDialoge, wo man z.B. eine Länge etc. eingibt, schaff ich. Aber bei der Punkteingabe komm ich nicht weiter: Wie wird das Makro angehalten, dass der Benutzer irgendwohin klicken kann und der Punkt dann für die weitere Bearbeitung zur Verfügung steht? Also: Das Makro wird gestartet (z.B mit Schaltfläc...
by Chri1
Thu Apr 04, 2019 1:24 pm
Forum: Forum in Deutsch
Topic: Benutzerabfrage Punkt
Replies: 9
Views: 504

Re: Benutzerabfrage Punkt

Worum es geht: Ich programmiere ein Energieausweisberechnungsprogramm (C++ und QT), ein Teil davon ist ein CAD zum Modellieren von Gebäuden, das aber nicht wie ein CAD ausschauen soll. (Damit Nicht-CADler nicht abgeschreckt werden). Derzeit erstelle ich in der FreeCad-Umgebung einen Arbeitsbereich m...
by Chri1
Thu Apr 04, 2019 10:25 am
Forum: Forum in Deutsch
Topic: Benutzerabfrage Punkt
Replies: 9
Views: 504

Re: Benutzerabfrage Punkt

Danke für eure Rückmeldungen. Habe schon recht viel hier geschrieben gehabt, dann lange telefoniert etc. und dann war ich ausgelogt und Alles weg... Deswegen schreib ich hier nur mal das Resümee, später poste ich, wozu ich das Ganze brauche. Wie rufe ich einem Makro einen Menübefehl auf: z.B. innerh...
by Chri1
Wed Apr 03, 2019 12:40 pm
Forum: Forum in Deutsch
Topic: Benutzerabfrage Punkt
Replies: 9
Views: 504

Benutzerabfrage Punkt

Hi Habe mich einige Zeit nicht mit FreeCad beschäftigt - vielleicht steh ich auf der Leitung: Mit Part.makeLine((0,0,0),(500,500,500)) erzeuge ich eine Linie. Möchte aber vorher die beiden Punkte vom Benutzer anfragen: Was ich suche heißt bei ACAD-Lisp getpoint, QtGui.QinputDialog.getPoint(... gibt ...
by Chri1
Fri Nov 16, 2018 1:22 pm
Forum: Forum in Deutsch
Topic: Hüllfläche eines Gebäudes
Replies: 24
Views: 1012

Re: Hüllfläche eines Gebäudes

So, hier die Lösung für das TP-Problem: Die einzelnenHüllflächen erkennen, von wem sie abstammen: def touch(fk0, i): print i j = 0 for hfi in f: print hfi, pp = hfi.makeOffset2D(-0.01).Vertexes[0].Point if fk0.isInside(pp,0,True): print "ID", #Treffer. Hier kommt dann irgend eine Aktion print "" #--...
by Chri1
Wed Nov 14, 2018 2:55 pm
Forum: Forum in Deutsch
Topic: Hüllfläche eines Gebäudes
Replies: 24
Views: 1012

Re: Hüllfläche eines Gebäudes

Hi Kennst Du aus der Lattice2 Workbench das Tool Sublink? Damit kopiere ich Flächen, aber auch Kanten und Punkte. Kannte ich nicht, hab mirs angeschaut, weiß aber momentan nicht, wie es mir weiter hilft. Habe nun das "Entkernen" gelöst: Ausgehend von einem vorhandenen Nicht-bool-Fusion-Objekt (Fusio...
by Chri1
Mon Nov 12, 2018 11:11 am
Forum: Forum in Deutsch
Topic: Hüllfläche eines Gebäudes
Replies: 24
Views: 1012

Re: Hüllfläche eines Gebäudes

Hi Zur Hüllfläche: Draft.makeFacbinder liefert genau das, was ich will. (Glaub ich zumindest momentan) makeFacebinder verlangt als Eingabe eine Selection - damit kämpfe ich noch: Wenn z.B ein Fusion ausgewählt ist (egal ob bool oder nicht-bool): selobj = FreeCAD.Gui.Selection.getSelection() b = selo...
by Chri1
Thu Nov 08, 2018 3:56 pm
Forum: Forum in Deutsch
Topic: Hüllfläche eines Gebäudes
Replies: 24
Views: 1012

Re: Hüllfläche eines Gebäudes

Hi sind deine Prismen keine Solids? Erzeugt hab ich ihn so: myObj = FreeCAD.ActiveDocument.addObject("Part::FeaturePython","Prisma") Prisma(myObj) myObj.ViewObject.Proxy = 0 FreeCAD.ActiveDocument.recompute() Wobei die Klasse: class Prisma: def __init__(self,obj): obj.Proxy = self obj.addProperty("A...
by Chri1
Mon Nov 05, 2018 5:04 pm
Forum: Forum in Deutsch
Topic: Hüllfläche eines Gebäudes
Replies: 24
Views: 1012

Re: Hüllfläche eines Gebäudes

Hi So, jetzt steh ich an: Ich möchte die Außenhülle von zusammengefassten Körpern. Wenn ich 2 Part.box fusioniere und sel diese Fusion ist, liefert sel.shapes.Area alle Flächen, die die Außenhülle bilden. Mit einer Schleife sind diese Flächen erreichbar. Soweit ok, aber doch eine Frage: Falls eine F...

Go to advanced search